## Apache Zeta Components Manual :: Docs For Class ezcGraphRenderer3dOptions

### Graph::ezcGraphRenderer3dOptions

### Class ezcGraphRenderer3dOptions

Class containing the extended options for the three dimensional renderer.

The three dimensional renderer offers a visually improved rendering compared with the two dimensional renderer. This results in more options configuring the three dimensional effeks, shadows and gleams in the chart.

1. $graph=new ezcGraphPieChart ();
2. $graph->palette=new ezcGraphPaletteEzRed ();
3. $graph->title='Access statistics';
4. $graph->options->label='%2$d (%3$.1f%%)';
6. $graph->data['Access statistics']=new ezcGraphArrayDataSet (array(
7. 'Mozilla'=>19113,
8. 'Explorer'=>10917,
9. 'Opera'=>1464,
10. 'Safari'=>652,
11. 'Konqueror'=>474,
12. ) );
13. $graph->data['Access statistics']->highlight['Explorer']=true;
15. $graph->renderer=new ezcGraphRenderer3d ();
17. $graph->renderer->options->moveOut=.2;
19. $graph->renderer->options->pieChartOffset=63;
21. $graph->renderer->options->pieChartGleam=.3;
22. $graph->renderer->options->pieChartGleamColor='#FFFFFF';
24. $graph->renderer->options->pieChartShadowSize=5;
25. $graph->renderer->options->pieChartShadowColor='#000000';
27. $graph->renderer->options->legendSymbolGleam=.5;
28. $graph->renderer->options->legendSymbolGleamSize=.9;
29. $graph->renderer->options->legendSymbolGleamColor='#FFFFFF';
31. $graph->renderer->options->pieChartSymbolColor='#55575388';
33. $graph->renderer->options->pieChartHeight=5;
34. $graph->renderer->options->pieChartRotation=.8;
36. $graph->render(400,150,'tutorial_pie_chart_3d.svg');

Source for this file: /Graph/src/options/renderer_3d.php

    ezcBaseOptions
       |
       --ezcGraphChartOptions
          |
          --ezcGraphRendererOptions
             |
             --ezcGraphRenderer3dOptions

Version: | //autogentag//

### Properties

float | read/write | `$barChartGleam` Transparancy for gleam on bar charts
float | read/write | `$barDarkenSide` Factor to darken the color used for the bars side polygon.
float | read/write | `$barDarkenTop` Factor to darken the color used for the bars top polygon.
float | read/write | `$depth` Part of picture used to simulate depth of three dimensional chart.
float | read/write | `$fillAxis` Transparency used to fill the axis polygon.
float | read/write | `$fillGrid` Transparency used to fill the grid lines.
float | read/write | `$pieChartHeight` Height of the pie charts border.
float | read/write | `$pieChartRotation` Rotation of pie chart. Defines the percent of width used to calculate the height of the ellipse.
float | read/write | `$pieChartShadowColor` Color used for pie chart shadows.
int | read/write | `$pieChartShadowSize` Size of shadows.
float | read/write | `$pieChartShadowTransparency` Used transparency for pie chart shadows.
bool | read/write | `$seperateLines` Indicates wheather the full depth should be used for each line in the chart, or beeing seperated by the count of lines.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3